SDHLibrary-CPP 0.0.2.10 C++ access library for SCHUNK Dextrous Hand SDH

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Attributes

# SDH::cCANSerial_ESD_Internal Class Reference

internal hardware specific implementation details of the lowlevel ESD CAN interface More...

List of all members.

## Public Attributes
NTCAN_HANDLE | ntcan_handle
| the internal handle to the driver
int32_t | timeout_ms
CMSG | m_cmsg
int | m_cmsg_next
| index of next received data byte to return to user in m_cmsg
NTCAN_RESULT | rc

## Detailed Description

internal hardware specific implementation details of the lowlevel ESD CAN interface

private data of cCANSerial_ESD.

Required to keep inclusion of ntcan.h out of public interface of cCANSerial_ESD.

## Member Data Documentation

CMSG SDH::cCANSerial_ESD_Internal::m_cmsg

received messages might be split over several CAN messages it might therefore happen that more data is received than can be returned to the user. To not loose that data it is kept here to be be returned in a later call

int SDH::cCANSerial_ESD_Internal::m_cmsg_next

index of next received data byte to return to user in m_cmsg

NTCAN_HANDLE SDH::cCANSerial_ESD_Internal::ntcan_handle

the internal handle to the driver

NTCAN_RESULT SDH::cCANSerial_ESD_Internal::rc

int32_t SDH::cCANSerial_ESD_Internal::timeout_ms

The documentation for this class was generated from the following file:

- sdh/canserial-esd.cpp